Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157631 - CAN-2005-0109 timing attack on OpenSSL with HT
Summary: CAN-2005-0109 timing attack on OpenSSL with HT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssl
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard: impact=moderate,reported=20050307,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-13 08:53 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-01 13:32:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:476 normal SHIPPED_LIVE Moderate: openssl security update 2005-06-01 04:00:00 UTC

Description Mark J. Cox 2005-05-13 08:53:21 UTC
http://www.daemonology.net/hyperthreading-considered-harmful/ describes a timing
attack against certain processors where a local user can cause an information
leak from applications.  This could allow, for example, an untrusted local user
to gain access to portions of cryptographic keys.

Note that for an attack to be sucessful you need to be running on an affected
processor, have a malicious local user, and be doing operations with a valuable
private key.

The OpenSSL team are working on a patch that will mitigate this issue and remove
the ability to do timing attacks (of any nature) on private key operations.  We
will look at backporting and applying this patch and producing OpenSSL updates.

Comment 1 Mark J. Cox 2005-05-13 13:23:37 UTC
(Just to clarify, we'll also be taking a look at other packages that deal with
private key operations that may be susceptable to similar attacks)

Comment 2 Frank Ch. Eigler 2005-05-13 15:39:36 UTC
From a D.J.Bernstein posting on comp.arch:

...
Osvik and Tromer made clear months ago that hyperthreading needed to be
turned off for security. They've been advertising information disclosure
through hyperthreading since at least February. See, for example, the
``Other People's Cache---HyperAttacks with HyperThreading'' abstract in
   http://www.esat.kuleuven.ac.be/sista-cosic-docarch/template.php?page=activities
...


Comment 4 Tomas Mraz 2005-05-19 18:20:10 UTC
Fixed in FC development.


Comment 6 Josh Bressers 2005-06-01 13:32:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-476.html



Note You need to log in before you can comment on or make changes to this bug.